PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP FUNCTION

## Name

DROP FUNCTION -- remove a function

## Synopsis

    DROP FUNCTION name ( [ type [, ...] ] ) [ CASCADE | RESTRICT ]

## Description

`DROP FUNCTION` removes the definition of an existing function. To execute this command the user must be the owner of the function. The argument types to the function must be specified, since several different functions may exist with the same name and different argument lists.

## Parameters

name

  The name (optionally schema-qualified) of an existing function.

type

  The data type of an argument of the function.

CASCADE

  Automatically drop objects that depend on the function (such as operators or triggers).

RESTRICT

  Refuse to drop the function if any objects depend on it. This is the default.

## Examples

This command removes the square root function:

    DROP FUNCTION sqrt(integer);

## Compatibility

A `DROP FUNCTION` statement is defined in the SQL standard, but it is not compatible with this command.

## See Also

CREATE FUNCTION, ALTER FUNCTION

Prev | Home | Next
DROP DOMAIN | Up | DROP GROUP